mutation CreateBusiness(
  $businessName: String!,
  $contactName: String!,
  $email: String,
  $sector: BusinessSector,
  $rateGroup: BusinessRateGroup!,
  $status: BusinessStatus
) @auth(level: USER) {
  business_insert(
    data: {
      businessName: $businessName
      contactName: $contactName
      email: $email
      sector: $sector
      rateGroup: $rateGroup
      status: $status
    }
  )
}

mutation UpdateBusiness(
  $id: UUID!,
  $businessName: String,
  $contactName: String,
  $email: String,
  $sector: BusinessSector,
  $rateGroup: BusinessRateGroup,
  $status: BusinessStatus
) @auth(level: USER) {
  business_update(
    id: $id,
    data: {
      businessName: $businessName
      contactName: $contactName
      email: $email
      sector: $sector
      rateGroup: $rateGroup
      status: $status
    }
  )
}

mutation DeleteBusiness(
  $id: UUID!
) @auth(level: USER) {
  business_delete(id: $id)
}
